Update invoice

Update an invoice by ID

Authentication

AuthorizationBearer
API Key authentication using Bearer token

Path parameters

idstringRequired

Request

Body
metadatamap from strings to any or nullOptional

Response

200
idstring
customerIdstring
statusenum
paymentStatusenum
sourceenum
startDatedatetime
issueDatedatetime
currencystring
taxAmountdouble
taxRatedouble
taxStatusenum
invoiceTotalExcludingTaxdouble
invoiceTotaldouble
amountDuedouble
amountPaiddouble
amountRemainingdouble
creditNotesTotaldouble
createdAtdatetime
updatedAtdatetime
taxExemptboolean
displayNumberstring or nullOptional
orderIdstring or nullOptional
endDatedatetime or nullOptional
postedDatedatetime or nullOptional
dueDatedatetime or nullOptional
metadatamap from strings to any or nullOptional
publicUrlTokenstring or nullOptional
billingContactIdstring or nullOptional
purchaseOrderReferencestring or nullOptional
Purchase order reference stamped on this invoice.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error